UPDATE-FLASHPLUGIN-NONFREE(8)

NAME
update-flashplugin-nonfree - program to get the newest Adobe Flash Player

SYNOPSIS
update-flashplugin-nonfree --status
update-flashplugin-nonfree --install
update-flashplugin-nonfree --uninstall

DESCRIPTION
The program update-flashplugin-nonfree takes care of downloading last minute information from Debian about suitable versions, removing the installed Adobe Flash Plugin if it has been reported as insecure, or, if a newer suitable version is available, downloading a newer Adobe Flash Player and its installer from the Adobe download site, run the downloaded installer to install the Adobe Flash Player on the local system, and then move the installed files to where they fit on a Debian system.

A copy of the downloaded .tar.gz is saved in /var/cache/flashplugin-nonfree for later reuse.

The program update-flashplugin-nonfree is used in the postinst and prerm scripts of the Debian package, but this program can also be run manually by root.

OPTIONS

--status
    To see the version of the installed Adobe Flash Player and the version of the newest Adobe Flash Player available at Adobe.

--install
    To install, update or remove the Adobe Flash Player depending on downloaded last minute information from Debian about suitable versions.

--uninstall
    To remove the Adobe Flash Player.

--verbose
    Produce detailed information about what's happening.

--quiet
    Produce no informational output.

SEE ALSO

http://wiki.debian.org/FlashPlayer
    If you subscribe to this wiki page, then you will receive updates via e-mail.

http://www.adobe.com/
    The Adobe homepage.